# AddressPicker

Addresspicker can make you more easily for choosing an address. It has Province, District, Commune and 
Village.

## Installation

Use the package manager [AddressPicker](https://pip.pypa.io/en/stable/) .

import 'package:addresspicker_packages/addresspicker_packages.dart';

## Usage


import 'package:addresspicker_packages/addresspicker_packages.dart
    ...
    ...
    onShowAddressPicker(
                  gridIndex: 2,
                   //initial value
                   city: city,
                   commune: district,
                  district: commune,
                  village: village,
                  context: context,
                  onCancel: () {
                    Navigator.pop(context);
                    Navigator.pop(context);
                  },
                  onSelectProvince: (Address province) {
                    print(province.name);
                    setState(() {
                      listData.add(province);
                    });
                  },
                  onSelectCommune: (Address commune) {
                    setState(() {
                      listData.add(commune);
                    });
                  },
                  onSelectDistrict: (Address disctrict) {
                    setState(() {
                      listData.add(disctrict);
                    });
                  },
                  onSelectVillage: (Address village) {
                    setState(() {
                      if(listData.length!=4)
                        listData.add(village);
                         else {
                        listData[3] = village;
                             }
                    });
                  },
                  //list all value
                  selectAddress: listData,
                  communeList: communeList,
                  provinceList: provinceList,
                  villageList: villageList,
                  districtList: districtList,
                  onSave: () {
                    city=listData[0];
                    district=listData[1];
                    commune=listData[2];
                    village=listData[3];
                  });



## License
[Flexible Solution](https://z1flexiblesolution.com/)
