import 'package:flutter/material.dart';

class CustomChips extends StatelessWidget {
  final String title;
  final int currentIndex;
  final int selectIndex;
  final EdgeInsets margin;
  final EdgeInsets padding;
  CustomChips(
      {this.title,
        this.currentIndex,
        this.selectIndex,
        this.margin,
        this.padding});
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: margin != null ? margin : EdgeInsets.zero,
      padding: padding ?? EdgeInsets.symmetric(horizontal: 30, vertical: 10),
      decoration: BoxDecoration(
          color: currentIndex == selectIndex
              ? Color(0xffB3C6E0)
              : Colors.grey[300],
          borderRadius: BorderRadius.circular(10)),
      child: Center(
        child: Text(
          title ?? "",
          textAlign: TextAlign.center,
          style: TextStyle(
              color: currentIndex == selectIndex
                  ? Theme.of(context).primaryColor
                  : Colors.black),
        ),
      ),
    );
  }
}
